[icinga-checkins] icinga.org: icinga-doc/master: docs issue #1604: CFLAGS for FreeBSD

git at icinga.org git at icinga.org
Tue Jun 7 21:06:35 CEST 2011


Module: icinga-doc
Branch: master
Commit: df9c9c7cf096fad3f819a169984e07df99f30e0c
URL:    https://git.icinga.org/?p=icinga-doc.git;a=commit;h=df9c9c7cf096fad3f819a169984e07df99f30e0c

Author: Wolfgang <wnd at gmx.net>
Date:   Tue Jun  7 20:40:53 2011 +0200

docs issue #1604: CFLAGS for FreeBSD

---

 de/quickstart-idoutils-freebsd.xml |   14 +++++++++++++-
 en/quickstart-idoutils-freebsd.xml |   11 +++++++++++
 2 files changed, 24 insertions(+), 1 deletions(-)

diff --git a/de/quickstart-idoutils-freebsd.xml b/de/quickstart-idoutils-freebsd.xml
index 449fed1..46875e8 100644
--- a/de/quickstart-idoutils-freebsd.xml
+++ b/de/quickstart-idoutils-freebsd.xml
@@ -178,13 +178,25 @@
   <para>Führen Sie das &name-icinga;-configure-Script aus. Durch die Nutzung des --help-Flags erhalten Sie Hilfe zu den Optionen.</para>
 
   <programlisting> #> ./configure --with-command-group=icinga-cmd \
-    --enable-idoutils CPPFLAGS=-I/usr/local/include
+    --enable-idoutils CPPFLAGS=-I/usr/local/include \
+    CFLAGS="-I/usr/local/include -L/usr/local/lib" \
     --with-dbi-lib=/usr/local/lib --with-dbi-inc=/usr/local/include</programlisting>
 
   <important>
     <para>Das angehängte <emphasis>CPPFLAGS=-I/usr/local/include</emphasis> ist wichtig für die &name-idoutils; bzw. das
     Broker-Modul.</para>
   </important>
+  <note>
+    <para>Sie sollten <literal>CFLAGS=..."</literal> wie oben angegeben benutzen. Anderenfalls finden Sie ggf. später folgende Zeilen in
+    <filename>icinga.log</filename>:
+    <screen> Error: Module ‘/usr/local/icinga/bin/idomod.o’ is using an old or unspecified version of the event broker API. Module will
+ be unloaded.
+ Event broker module ‘/usr/local/icinga/bin/idomod.o’ deinitialized successfully.</screen>
+    Mehr Informationen zu diesem Fehler finden Sie <link xlink:href="http://www.mazej.net/icinga-idomod-o-is-using-an-old-or-unspecified-version-of-the-event-broker-api/">
+    hier</link>.
+    </para>
+  </note>
+
 
   <para><emphasis role="bold">Mit SSL-Verschlüsselung:</emphasis></para>
 
diff --git a/en/quickstart-idoutils-freebsd.xml b/en/quickstart-idoutils-freebsd.xml
index 14deea6..84b68e5 100644
--- a/en/quickstart-idoutils-freebsd.xml
+++ b/en/quickstart-idoutils-freebsd.xml
@@ -176,12 +176,23 @@
 
   <programlisting> #> ./configure --with-command-group=icinga-cmd \
     --enable-idoutils CPPFLAGS=-I/usr/local/include \
+    CFLAGS="-I/usr/local/include -L/usr/local/lib" \
     --with-dbi-lib=/usr/local/lib --with-dbi-inc=/usr/local/include</programlisting>
 
   <important>
     <para>Appending <emphasis>CPPFLAGS=-I/usr/local/include</emphasis> is important for the &name-idoutils; and the broker modul
     respectively.</para>
   </important>
+  <note>
+    <para>You should include <literal>CFLAGS=..."</literal> like specified above. Otherwise you might get the following lines in
+    <filename>icinga.log</filename>:
+    <screen> Error: Module ‘/usr/local/icinga/bin/idomod.o’ is using an old or unspecified version of the event broker API. Module will
+ be unloaded.
+ Event broker module ‘/usr/local/icinga/bin/idomod.o’ deinitialized successfully.</screen>
+    More details on this error can be found <link xlink:href="http://www.mazej.net/icinga-idomod-o-is-using-an-old-or-unspecified-version-of-the-event-broker-api/">
+    here</link>.
+    </para>
+  </note>
 
   <para><emphasis role="bold">With SSL-encryption:</emphasis></para>
 





More information about the icinga-checkins mailing list